## EShellSidebar EShellSidebar — the left side of the main window |

## Functions

GtkWidget * | e_shell_sidebar_new ()
guint32 | e_shell_sidebar_check_state ()
struct _EShellView * | e_shell_sidebar_get_shell_view ()
GtkWidget * | e_shell_sidebar_get_image_widget ()
const gchar * | e_shell_sidebar_get_icon_name ()
void | e_shell_sidebar_set_icon_name ()
const gchar * | e_shell_sidebar_get_primary_text ()
void | e_shell_sidebar_set_primary_text ()
const gchar * | e_shell_sidebar_get_secondary_text ()
void | e_shell_sidebar_set_secondary_text ()

## Properties

char * | icon-name | Read / Write
char * | primary-text | Read / Write
char * | secondary-text | Read / Write
EShellView * | shell-view | Read / Write / Construct Only

## Types and Values

struct | EShellSidebar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── EShellSidebar

## Implemented Interfaces

EShellSidebar implements AtkImplementorIface, GtkBuildable, EAlertSink and EExtensible.

## Includes

    #include <shell/e-shell-sidebar.h>

## Description

## Functions

### e_shell_sidebar_new ()

    GtkWidget *
    e_shell_sidebar_new (struct _EShellView *shell_view);

Creates a new EShellSidebar instance belonging to `shell_view` .

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellSidebar instance

### e_shell_sidebar_check_state ()

    guint32
    e_shell_sidebar_check_state (EShellSidebar *shell_sidebar);

EShellSidebar subclasses should implement the `check_state` method in EShellSidebarClass to return a set of flags describing the current sidebar selection. Subclasses are responsible for defining their own flags. This is primarily used to assist shell views with updating actions (see `e_shell_view_update_actions()`).

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

a set of flags describing the current `shell_sidebar` selection

### e_shell_sidebar_get_shell_view ()

    struct _EShellView *
    e_shell_sidebar_get_shell_view (EShellSidebar *shell_sidebar);

Returns the EShellView that was passed to `e_shell_sidebar_new()`.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the EShellView to which `shell_sidebar` belongs

### e_shell_sidebar_get_image_widget ()

    GtkWidget *
    e_shell_sidebar_get_image_widget (EShellSidebar *shell_sidebar);

Returns the GtkImage used for the `shell_sidebar` . It can be used to temporarily override the image's content, at least until the "icon-name" property of the EShellSidebar changes.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the GtkImage used for the `shell_sidebar`

Since: 3.34

### e_shell_sidebar_get_icon_name ()

    const gchar *
    e_shell_sidebar_get_icon_name (EShellSidebar *shell_sidebar);

Returns the icon name displayed at the top of the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the icon name for `shell_sidebar`

### e_shell_sidebar_set_icon_name ()

    void
    e_shell_sidebar_set_icon_name (EShellSidebar *shell_sidebar,
                                   const gchar *icon_name);

Sets the icon name displayed at the top of the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |
icon_name | a themed icon name |

### e_shell_sidebar_get_primary_text ()

    const gchar *
    e_shell_sidebar_get_primary_text (EShellSidebar *shell_sidebar);

Returns the primary text for `shell_sidebar` .

The primary text is displayed in bold at the top of the sidebar. It defaults to the shell view's label (as seen on the switcher button), but typically shows the name of the selected item in the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the primary text for `shell_sidebar`

### e_shell_sidebar_set_primary_text ()

    void
    e_shell_sidebar_set_primary_text (EShellSidebar *shell_sidebar,
                                      const gchar *primary_text);

Sets the primary text for `shell_sidebar` .

The primary text is displayed in bold at the top of the sidebar. It defaults to the shell view's label (as seen on the switcher button), but typically shows the name of the selected item in the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |
primary_text | text to be displayed in a bold font |

### e_shell_sidebar_get_secondary_text ()

    const gchar *
    e_shell_sidebar_get_secondary_text (EShellSidebar *shell_sidebar);

Returns the secondary text for `shell_sidebar` .

The secondary text is displayed in a smaller font at the top of the sidebar. It typically shows information about the contents of the selected sidebar item, such as total number of items, number of selected items, etc.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the secondary text for `shell_sidebar`

### e_shell_sidebar_set_secondary_text ()

    void
    e_shell_sidebar_set_secondary_text (EShellSidebar *shell_sidebar,
                                        const gchar *secondary_text);

Sets the secondary text for `shell_sidebar` .

The secondary text is displayed in a smaller font at the top of the sidebar. It typically shows information about the contents of the selected sidebar item, such as total number of items, number of selected items, etc.

#### Parameters

shell_sidebar | an EShellSidebar |
secondary_text | text to be displayed in a smaller font |

## Types and Values

### struct EShellSidebar

    struct EShellSidebar;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“icon-name”` property

      “icon-name”                char *

The named icon is displayed at the top of the sidebar.

Owner: EShellSidebar

Flags: Read / Write

Default value: NULL

### The `“primary-text”` property

      “primary-text”             char *

The primary text is displayed in bold at the top of the sidebar.

Owner: EShellSidebar

Flags: Read / Write

Default value: NULL

### The `“secondary-text”` property

      “secondary-text”           char *

The secondary text is displayed in a smaller font at the top of the sidebar.

Owner: EShellSidebar

Flags: Read / Write

Default value: NULL

### The `“shell-view”` property

      “shell-view”               EShellView *

The EShellView to which the sidebar widget belongs.

Owner: EShellSidebar

Flags: Read / Write / Construct Only